%define name korelib
%define version 0.0.1
%define release 4mdk

%define major 0
%define libname libkore%major

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Korelib - a cross plateform C++ library.
Group: 		Graphical desktop/KDE
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.thekompany.com/projects/korelib/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Korelib is a cross-platform C++ library for developing plugin-based 
applications. It provides a uniform and consistent cross-platform API 
for developing modular applications. It includes:
      * Korelib: The Korelib library.                  
      * Documentation: The Korelib design document and the Doxygen 
	config file for generation the API docs.                                      
      * Samples: A small cross-platform sample demonstrating use of 
	plugins loaded at run-time.                        
      * Tutorial: A Kore crash-course.

%package -n %libname
Group:          Graphical desktop/KDE
License:        GPL
Summary:        Korelib - a cross plateform C++ library.

%description -n %libname
Korelib is a cross-platform C++ library for developing plugin-based
applications. It provides a uniform and consistent cross-platform API
for developing modular applications. It includes:
      * Korelib: The Korelib library.       
      * Documentation: The Korelib design document and the Doxygen
        config file for generation the API docs.                
      * Samples: A small cross-platform sample demonstrating use of
        plugins loaded at run-time.
      * Tutorial: A Kore crash-course.
					

%package -n %libname-devel
Group:          Graphical desktop/KDE
License:        GPL
Summary:        Korelib - a cross plateform C++ library.
Provides: libkore-devel
Requires: %libname = %version

%description -n %libname-devel
Korelib is a cross-platform C++ library for developing plugin-based
applications. It provides a uniform and consistent cross-platform API
for developing modular applications. It includes:
      * Korelib: The Korelib library.
      * Documentation: The Korelib design document and the Doxygen
        config file for generation the API docs.            
      * Samples: A small cross-platform sample demonstrating use of
        plugins loaded at run-time.
      * Tutorial: A Kore crash-course.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
#%patch -p1
%build
./configure  --disable-rpath --with-install-root=$RPM_BUILD_ROOT \

%make

%install
make prefix=$RPM_BUILD_ROOT%_prefix install

mv $RPM_BUILD_ROOT/%_bindir/demo  $RPM_BUILD_ROOT/%_bindir/demo-korelib

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %libname
%defattr (-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%{_includedir}/kore/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-4mdk
- rename /usr/bin/demo to /usr/bin/demo-korelib
- fixes

* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-3mdk
- rebuild

* Mon May 21 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.1-2mdk
- Corrected Summary & URL:
  o "Cut'n'paste when packaging is evil" G.R 

* Sun May 20 2001 Daouda Lo <daouda@mandrakesoft.com> 0.0.1-1mdk
- 0.0.1
- needed by aethera plugins.

